<?php
include "../../inc/inc.koneksi.php";
session_start();

$tglawal	=$_POST['tgl_awal'];
$tglakhir	=$_POST['tgl_akhir'];


$sql= mysql_query("SELECT kode_pj,tanggal,kode_pl,nama_pl,sum(jumlah) as tjumlah,sum(hpp) as thpp,sum(potongan) as tpotong,jenis_by,nobank,sum(charge_edc) as tcharge,user,jam FROM faktur_pj WHERE tanggal BETWEEN '$tglawal' AND '$tglakhir' AND batal='' GROUP BY kode_pj");
 
while($r=mysql_fetch_array($sql)){
	$kode	=$r['kode_pj'];
	$tanggal=$r['tanggal'];
	$kodepl	=$r['kode_pl'];
	$namapl	=$r['nama_pl'];
	$total	=$r['tjumlah'];
	$thpp 	=$r['thpp'];
	$potong	=$r['tpotong'];
	$jenisby=$r['jenis_by'];
	$nobank =$r['nobank'];
	$charge =$r['tcharge'];
	$user 	=$r['user'];
	$netto	=$total-$potong;
	$laba	=$netto-$thpp;
	
	if($jenisby=='TUNAI'){		
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
		VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$kas','$nosubks','','','$netto','0','Penjualan retail','$user','')");
	}else{		
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
		VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$nobank','$nosubbk','','','$netto','0','Penjualan retail','$user','')");
		
		if(!$charge>0){
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
			VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$nobank','$nosubbk','','','$charge','0','Charge EDC Penjualan retail','$user','')");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
			VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$pendedc','$nosubped','','','0','$charge','Charge EDC Penjualan retail','$user','')");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
			VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$labrug','$nosublr','','','$charge','0','Charge EDC Penjualan retail','$user','')");			
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
			VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$labapb','$nosublpb','','','0','$charge','Charge EDC Penjualan retail','$user','')");
		}
	}
	
	if($potong>0){
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
		VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$potjual','$nosubpj','','','$potong','0','Potongan penjualan retail','$user','')");
	}
		
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
	VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$nohpp','$nosubhpp','','','$thpp','0','Penjualan ke $namapl','$user','')");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
	VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$jual','$nosubjl','','','0','$total','Penjualan retail','$user','')");

	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
	VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$persed','$nosubps','','','0','$thpp','Penjualan ke $namapl','$user','')");

	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
	VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$labrug','$nosublr','','','$laba','0','Laba penjualan ke $namapl','$user','')");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) 
	VALUES('$kode','PJL','$tanggal','$kode','','$nourut','$labapb','$nosublpb','','','0','$laba','Laba penjualan ke $namapl','$user','')");
}
echo "Data penjualan tanggal $tglawal s/d $tglakhir telah diposting ulang.";
?>